# This file is in the public domain
anastasisincludedir = get_option('includedir') / 'anastasis'

install_data(
    'platform.h',
    'gettext.h',
    'anastasis_authorization_lib.h',
    'anastasis_authorization_plugin.h',
    'anastasis_crypto_lib.h',
    'anastasis_database_lib.h',
    'anastasis_eufin_lib.h',
    'anastasis_error_codes.h',
    'anastasis_redux.h',
    'anastasis_service.h',
    'anastasis_testing_lib.h',
    'anastasis_util_lib.h',
    'anastasis.h',
    install_dir: anastasisincludedir,
)

install_data(
    'anastasis/anastasis-database/common.h',
    'anastasis/anastasis-database/preflight.h',
    'anastasis/anastasis-database/transaction.h',
    'anastasis/anastasis-database/event.h',
    'anastasis/anastasis-database/create_tables.h',
    'anastasis/anastasis-database/drop_tables.h',
    'anastasis/anastasis-database/do_gc.h',
    'anastasis/anastasis-database/do_insert_recovery_document.h',
    'anastasis/anastasis-database/iterate_recovery_meta_data.h',
    'anastasis/anastasis-database/get_recovery_document.h',
    'anastasis/anastasis-database/get_latest_recovery_document.h',
    'anastasis/anastasis-database/insert_truth.h',
    'anastasis/anastasis-database/get_truth.h',
    'anastasis/anastasis-database/get_truth_key_share.h',
    'anastasis/anastasis-database/get_account.h',
    'anastasis/anastasis-database/get_recdoc_payment.h',
    'anastasis/anastasis-database/get_challenge_payment.h',
    'anastasis/anastasis-database/do_update_account_lifetime.h',
    'anastasis/anastasis-database/do_insert_recdoc_payment.h',
    'anastasis/anastasis-database/insert_truth_payment.h',
    'anastasis/anastasis-database/get_truth_payment.h',
    'anastasis/anastasis-database/do_verify_challenge_code.h',
    'anastasis/anastasis-database/update_to_challenge_code_satisfied.h',
    'anastasis/anastasis-database/update_totp_counter.h',
    'anastasis/anastasis-database/get_exists_challenge_code_satisfied.h',
    'anastasis/anastasis-database/insert_challenge_code.h',
    'anastasis/anastasis-database/update_to_challenge_code_sent.h',
    'anastasis/anastasis-database/insert_challenge_payment.h',
    'anastasis/anastasis-database/update_to_challenge_payment_refunded.h',
    'anastasis/anastasis-database/get_pending_challenge_payment.h',
    'anastasis/anastasis-database/update_to_challenge_payment_paid.h',
    'anastasis/anastasis-database/insert_auth_iban_in.h',
    'anastasis/anastasis-database/iterate_auth_iban_transfers.h',
    'anastasis/anastasis-database/get_last_auth_iban_in_row.h',
    install_dir: anastasisincludedir / 'anastasis-database',
)
